# Для всех городов из таблицы Trip посчитать количество вылетов и прилетов за апрель 2025 года.
from .april_count import sql

# Для каждого рейса посчитать количество полетов и перевезенных пассажиров.
# Вывод: № рейса, название авиакомпании, город вылета, город прилета, количество полетов, количество перевезенных пассажиров.
# Примечание: Исходя из схемы данных, любой рейс может быть не чаще одного раза в сутки (время вылета задается в таблице Trip в поле time_out, а дата – в таблице Pass_in_trip в поле date_trip). Таким образом количество полетов – это количество уникальных дат для рейса в таблице Pass_in_trip, а число пассажиров – количество строк для рейса в той же таблице.
from .count_flight_pass import sql

# Определить количество перевезенных пассажиров авиакомпаниями по месяцам и годам.
# Вывод: название авиакомпании, месяц, год, число перевезенных пассажиров.
#  Упорядочить результат по возрастанию года и месяца и по убыванию числа пассажиров.
from .count_pass_by_monthYear import sql

# Для каждой авиакомпании посчитать количество перевезенных пассажиров по типам самолетов.
# Вывод: название авиакомпании, тип самолета, количество перевезенных пассажиров.
from .count_pass_by_type import sql

# Для каждой авиакомпании посчитать количество пассажиров, перевезенных по четным и нечетным числам.
# Вывод: название авиакомпании, количество пассажиров по четным дням, количество пассажиров по нечетным дням.
from .count_pass_byOdd import sql

# Для каждого пассажира определить количество полетов по типам самолетов.
# Вывод: имя пассажира, тип самолета, количество перелетов этим типом самолета. Результат упорядочить по именам пассажиров (в алфавитном порядке) и убыванию количества перелетов.
# Примечание: Задача «с подвохом» в БД есть полные тезки (Bruce Willis), они отличаются кодом (Id_psg), поэтому группировать результат надо не по имени пассажира, а по его коду
from .pas_count_flight_by_type import sql

# Для пассажиров летавших у окна (места a или d) вывести следующую информацию: имя пассажира, название авиакомпании,
#  дата и время вылета (одно значение), город вылета, город прилета.
from .wind_pass import sql


_add__ = ['sql']